curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/wks/{workspaceId}/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
{
"workspaceId": "12341234-1234-1234-1234123412341234",
"buildId": "11111111-1111-1111-1111-111111111111",
"applicationId": "4ffeeb22-e84a-400f-9e07-b305ab0b4241",
"buildSettings": {
"applicationVersionId": "99f24e3f-e331-48ad-a503-2cc1cee5fb95",
"platforms": "OMNICHANNEL",
"themeId": "12345678-1234-1234-1234-123456789012",
"dateDisplayFormat": {
"format": "short"
},
"numberDisplayFormat": {
"minDecimals": 1,
"maxDecimals": 2
},
"currencyDisplayFormat": {
"format": "isoCode"
},
"defaultLanguageCode": "en"
}
}
Get Build Info
Retrieve the active build for an app and workspace. Returns the buildId you need to start a process via REST.
GET
/
rtm
/
api
/
runtime
/
wks
/
{workspaceId}
/
app
/
{appId}
/
build
/
info
curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/wks/{workspaceId}/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
{
"workspaceId": "12341234-1234-1234-1234123412341234",
"buildId": "11111111-1111-1111-1111-111111111111",
"applicationId": "4ffeeb22-e84a-400f-9e07-b305ab0b4241",
"buildSettings": {
"applicationVersionId": "99f24e3f-e331-48ad-a503-2cc1cee5fb95",
"platforms": "OMNICHANNEL",
"themeId": "12345678-1234-1234-1234-123456789012",
"dateDisplayFormat": {
"format": "short"
},
"numberDisplayFormat": {
"minDecimals": 1,
"maxDecimals": 2
},
"currencyDisplayFormat": {
"format": "isoCode"
},
"defaultLanguageCode": "en"
}
}
Looking for end-to-end guidance on calling FlowX from your own app? See Consuming FlowX from external apps.
Base URL
- Always prepend the endpoint with the correct Base URL.
- For different environments (like staging or production), switch the base URL accordingly.
This endpoint is only accessible via the admin environment. Ensure that you are using the correct admin base URL when making requests.
Authorization
string
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Request headers
string
required
Bearer token required for authentication. Format:
Bearer <token>.string
Specifies the media types that are acceptable for the response. Defaults to accepting JSON and plain text responses.
string
Indicates supported content encoding algorithms for the response.
string
Specifies language preferences for the response.
Path Parameters
Need help finding the Application ID or Workspace ID? See the Finding Identifiers and Parameters guide for detailed instructions on where to locate these values in FlowX Designer.
string
required
The unique identifier of the workspace that contains the application. This parameter is used to search for the appId within the specified workspace. This value is populated by the Configurator in the container app and varies across different environments (e.g., production, development, UAT).
string
required
The unique identifier of the application whose build information is being retrieved.
curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/wks/{workspaceId}/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
Response Fields
string
The unique identifier of the workspace that contains the application.
string
The unique identifier of the build entity.
string
The ID of the application associated with the build.
object
Contains configuration settings related to the build.
Show Properties
Show Properties
string
The version ID of the application associated with the build.
string
Indicates the supported platforms for the build (e.g.,
OMNICHANNEL).string
The ID of the theme applied to the build.
object
Defines the format used for displaying dates.
Show Properties
Show Properties
string
Specifies the date format style (e.g.,
short).object
object
Defines the format used for displaying currency.
Show Properties
Show Properties
string
Specifies the format for displaying currency (e.g.,
isoCode).string
The default language code for the build (e.g.,
en for English).{
"workspaceId": "12341234-1234-1234-1234123412341234",
"buildId": "11111111-1111-1111-1111-111111111111",
"applicationId": "4ffeeb22-e84a-400f-9e07-b305ab0b4241",
"buildSettings": {
"applicationVersionId": "99f24e3f-e331-48ad-a503-2cc1cee5fb95",
"platforms": "OMNICHANNEL",
"themeId": "12345678-1234-1234-1234-123456789012",
"dateDisplayFormat": {
"format": "short"
},
"numberDisplayFormat": {
"minDecimals": 1,
"maxDecimals": 2
},
"currencyDisplayFormat": {
"format": "isoCode"
},
"defaultLanguageCode": "en"
}
}
Response Headers
boolean
Indicates whether the response can be exposed when credentials are present. Example:
true.string
Lists the allowed headers in the actual request.
string
Specifies the allowed HTTP methods.
string
Indicates the allowed origin for cross-origin requests.
string
Specifies the encoding used to compress the response.
string
Indicates the media type of the response content.
string
Enforces secure (HTTPS) connections to the server.
string
Specifies that the response may vary based on the
Accept-Encoding request header.string
Prevents the browser from MIME-sniffing a response away from the declared
Content-Type.string
Controls the cross-site scripting (XSS) filter. Example:
0 (disabled).Last modified on May 12, 2026
Related topics
Get build info by process instanceGet build info by UI flow sessionConsuming FlowX from external appsAnonymous runtime accessFlowX.AI 5.6.0 Release Notes⌘I

